LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XAction Interface Referencepublished

Interface for running an action. More...

`import"XAction.idl";`

Inheritance diagram for XAction:

## Public Member Functions
any | run () raises (com::sun::star::uno::Exception)
| Action to be done. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for running an action.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ run()

any run | ( |  | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Action to be done.

Returns
  result

Exceptions

  com::sun::star::uno::Exception | any UNO exception may be thrown

The documentation for this interface was generated from the following file:

- com/sun/star/security/XAction.idl